Loading...
Searching...
No Matches
rpcextractor_base< T, void > Class Template Reference

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcextractor_base (T *source, void(T::*func)())
| ~rpcextractor_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Protected Attributes

T * | _source
void(T::* | _func )()

## Constructor & Destructor Documentation

## rpcextractor_base()

template<typename T>

rpcextractor_base< T, void >::rpcextractor_base | ( | T * | source,
|  | void(T::* | func )() )

inline

References _func, and _source.

Referenced by rpcbasic_extractor< T, void >::rpcbasic_extractor().

## ~rpcextractor_base()

template<typename T>

rpcextractor_base< T, void >::~rpcextractor_base | ( |  | ) |

inline override

## Member Function Documentation

## post()

template<typename T>

void rpcextractor_base< T, void >::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )

inline override virtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implements gr::messages::msg_accepter.

## Member Data Documentation

## _func

template<typename T>

void(T::* rpcextractor_base< T, void >::_func) ()

protected

Referenced by rpcextractor_base().

## _source

template<typename T>

T* rpcextractor_base< T, void >::_source

protected

Referenced by rpcextractor_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h